# PCLinuxOS Copyright by Bill Reynolds (Texstar)
# Import by D.M.-Wilhelm 

%define oname ripperX

Summary: 	GTK program to rip CD audio and encode to mp3, ogg, or flac
Name: 		ripperx
Version: 	2.7.3
Release: 	%mkrel 2
License: 	GPL
Group: 		Sound
URL: 		http://ripperx.sourceforge.net/
Source: 	http://dl.sf.net/ripperx/%{oname}-%{version}.tar.xz
BuildRoot:   	%{_tmppath}/%{name}-buildroot
#-------------------------------------
BuildRequires: %{_lib}atk1.0-devel
BuildRequires: %{_lib}cairo-devel
BuildRequires: %{_lib}gdk_pixbuf2.0_0-devel
BuildRequires: %{_lib}glib2.0_0-devel
BuildRequires: %{_lib}gtk+2.0_0-devel
BuildRequires: %{_lib}id3_3.8_3-devel
BuildRequires: %{_lib}pango1.0-devel
#-------------------------------------
Requires: 	cdparanoia
Requires:	gtk+2.0

%description
GTK program to rip CD audio and encode to mp3, ogg, and flac.
Supports parallel ripping/encoding, has plugins for cdparanoia,
BladeEnc, Lame, GoGo, FHG (l3enc and mp3enc), XingMp3enc, 8hz-mp3,
FLAC, and the ISO encoder. Also has support for CDDB and ID3 tags.

%files
%defattr(-,root,root)
%doc FAQ README README.plugin README.plugin_spec_v0.1 README.plugin_tester TODO CHANGES COPYING BUGS
%{_bindir}/%{oname}
%{_bindir}/%{oname}_plugin-cdparanoia
%{_bindir}/%{oname}_plugin-encode
%{_bindir}/%{oname}_plugin-8hz-mp3
%{_bindir}/%{oname}_plugin-lame
%{_bindir}/%{oname}_plugin-flac
%{_bindir}/%{oname}_plugin-gogo
%{_bindir}/%{oname}_plugin-oggenc
%{_bindir}/%{oname}_plugin-toolame
%{_bindir}/%{oname}_plugin-bladeenc
%{_bindir}/%{oname}_plugin-xingmp3enc
%{_bindir}/%{oname}_plugin-l3enc
%{_bindir}/%{oname}_plugin-mp3enc
%{_bindir}/%{oname}_plugin-musepack
%{_bindir}/%{oname}_plugin_tester
%{_datadir}/icons/locolor/*/apps/%{name}.png
%{_datadir}/pixmaps/%{name}.xpm
%{_datadir}/applications/%{name}.desktop   
%{_libdir}/pkgconfig/ripperX.pc
%{_datadir}/locale/de/LC_MESSAGES/ripperX.mo
%{_datadir}/locale/en_GB/LC_MESSAGES/ripperX.mo
%{_datadir}/locale/es/LC_MESSAGES/ripperX.mo
%{_datadir}/locale/gl/LC_MESSAGES/ripperX.mo
%{_datadir}/locale/it/LC_MESSAGES/ripperX.mo
%{_mandir}/man1/%{oname}.1.bz2



#-------------- build area -------------------------

%prep
%setup -n %{oname}-%{version}

%build
%configure2_5x
%make

%install
rm -rf %{buildroot}
%makeinstall_std
install -d -m755 $RPM_BUILD_ROOT%{_datadir}/icons/locolor/16x16/apps/
install -d -m755 $RPM_BUILD_ROOT%{_datadir}/icons/locolor/32x32/apps/
convert src/xpms/ripperX-icon.xpm -resize 32x32 $RPM_BUILD_ROOT%{_datadir}/icons/locolor/32x32/apps/%{name}.png
convert src/xpms/ripperX-icon.xpm -resize 16x16 $RPM_BUILD_ROOT%{_datadir}/icons/locolor/16x16/apps/%{name}.png

install -D src/xpms/ripperX-icon.xpm %{buildroot}%{_datadir}/pixmaps/%{name}.xpm
install -d -m 0755 $RPM_BUILD_ROOT%{_datadir}/applications

mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Name=ripperX
Comment=rip CDs and encode to mp3, ogg, or flac
Exec=ripperX
Icon=%{name}.png
Terminal=false
MultipleArgs=false
Type=Application
Categories=Application;AudioVideo;X-MandrivaLinux-Multimedia-Sound;
Encoding=UTF-8
EOF

%clean
rm -rf %{buildroot}
rm -rf $RPM_BUILD_DIR/%{oname}-%{version}

%changelog
* Mon Feb 03 2014 bb <bb> 2.7.3-2pclos2013
- adjust BR
- use configure2_5x macro
- drop useless defines

* Mon Feb 03 2014 daniel <meisssw01 at gmail.com> 2.7.3-1free2014
- initial pkg

